import { db } from "../db.js";

export const addWData = (req, res) => {
  
      const q =
        "INSERT INTO wtspdata(`number`) VALUES (?)";
  
      const values = [
        req.body.number
      ];
  
      db.query(q, [values], (err, data) => {
        if (err) return res.status(500).json(err);
        return res.json("Post has been created.");
      });
  };

  export const addPmData = (req, res) => {
  
    const q =
      "INSERT INTO paymentdetails(`name`, `mobile`, `txnid`) VALUES (?)";

    const values = [
      req.body.name,
      req.body.mobile,
      req.body.txnid
    ];

    db.query(q, [values], (err, data) => {
      if (err) return res.status(500).json(err);
      return res.json("Post has been created.");
    });
};

export const getWData = (req, res) => {
    const q = 
      "SELECT * FROM wtspdata";
  
    db.query(q, [], (err, data) => {
      if (err) return res.status(500).send(err);
  
      return res.status(200).json(data);
    });
  };

export const getPmData = (req, res) => {
    const q = 
      "SELECT * FROM paymentdetails";
  
    db.query(q, [], (err, data) => {
      if (err) return res.status(500).send(err);
  
      return res.status(200).json(data);
    });
  };

  export const getBkash = (req, res) => {
    const q = "SELECT * FROM bkash_number WHERE id=?";
    const id = 1;
  
    db.query(q, [id], (err, data) => {
      if (err) return res.status(500).send(err);
  
      return res.status(200).json(data[0]);
    });
  };

  export const bkashedit = (req, res) => {
  
    const q =
      "UPDATE bkash_number SET `number`=? WHERE `id`=?";

    const values = [
      req.body.bkashedit
    ];

    db.query(q, [...values, 1], (err, data) => {
      if (err) return res.status(500).json(err);
      return res.json("Post has been created.");
    });
};

export const getNagad = (req, res) => {
  const q = "SELECT * FROM nagad_number WHERE id=?";
  const id = 1;

  db.query(q, [id], (err, data) => {
    if (err) return res.status(500).send(err);

    return res.status(200).json(data[0]);
  });
};

export const nagadedit = (req, res) => {

  const q =
    "UPDATE nagad_number SET `number`=? WHERE `id`=?";

  const values = [
    req.body.nagadedit
  ];

  db.query(q, [...values, 1], (err, data) => {
    if (err) return res.status(500).json(err);
    return res.json("Post has been created.");
  });
};

export const getAmount = (req, res) => {
  const q = "SELECT * FROM amount WHERE id=?";
  const id = 1;

  db.query(q, [id], (err, data) => {
    if (err) return res.status(500).send(err);

    return res.status(200).json(data[0]);
  });
};

export const amountedit = (req, res) => {

  const q =
    "UPDATE amount SET `amount`=? WHERE `id`=?";

  const values = [
    req.body.amountedit
  ];

  db.query(q, [...values, 1], (err, data) => {
    if (err) return res.status(500).json(err);
    return res.json("Post has been created.");
  });
};

export const getMember = (req, res) => {
  const q = "SELECT * FROM enroll_counter WHERE id=?";
  const id = 1;

  db.query(q, [id], (err, data) => {
    if (err) return res.status(500).send(err);

    return res.status(200).json(data[0]);
  });
};

export const memberedit = (req, res) => {

  const q =
    "UPDATE enroll_counter SET `enroll_number`=? WHERE `id`=?";

  const values = [
    req.body.memberedit
  ];

  db.query(q, [...values, 1], (err, data) => {
    if (err) return res.status(500).json(err);
    return res.json("Post has been created.");
  });
};
